AppName = "GoneFishing"
import "Turbine";
import "Turbine.Gameplay";
import "Turbine.UI";
import "Turbine.UI.Lotro";
function print(x) Turbine.Shell.WriteLine(x) end
home = "Morgantine.GoneFishing."
import (home.."F12Escape")
import (home.."AddCallback")
player = Turbine.Gameplay.LocalPlayer.GetInstance()
Inventory = player:GetBackpack()
Equipment = player:GetEquipment()
import (home.."Window")
import (home.."Commands")

AddCallback(Equipment, "ItemEquipped", function(sender,args) FindWeapon() end)
AddCallback(Inventory, "ItemAdded", function(sender,args) FindRod() end)

primary = 16
secondary = 17
function IsRod(name)
   return string.find(name," Rod")~=nil
end
function FindWeapon()
   local weapon = Equipment:GetItem(primary)
   if weapon == nil then return end --No weapon slotted
   local name = weapon:GetName()
   if IsRod(name) then
      Qslot.rod:SetItem(weapon)
      SetCursor(2)
   else
      Qslot.weapon:SetItem(weapon)
      SetCursor(1, FindShield())
   end
end
function FindShield()
   local shield = Equipment:GetItem(secondary)
   if shield == nil then return false end
   Qslot.shield:SetItem(shield)
   return true
end
      
function FindRod()
   if Qslot.rod:GetItem() ~= nil then return end
   --search for inventory
   local inventory = Inventory
   local count = inventory:GetSize()
   for i = 1,count do
      local item = inventory:GetItem(i)
      if item ~= nil then
         local name = item:GetName()
         if IsRod(name) then
            Qslot.rod:SetItem(item)
            break
         end
      end
   end
end

FindWeapon()
FindRod()




